//===PORTALS===

textures/apath0/monitorshader
{
	qer_editorimage textures/apath0/monitor.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/apath0/monitor.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		blendFunc add
		depthWrite
		alphaGen portal 1600
    }
}

//===BANNERS===
textures/apath0/129a
{
	qer_editorimage textures/apath0/transpi.tga
        cull none
        surfaceparm nolightmap
        surfaceparm alphashadow
	  tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
          //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/apath0/transpi.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}


//===MISC STUFF===

textures/apath0/river
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin 1 1 0 1	
	
		
	{ 
		map textures/liquids/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.2 0
	}

	{ 
		map textures/liquids/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll -.2 0
	}
	{ 
		map textures/liquids/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll -.2 0
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}


textures/apath0/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

//orange slice surface
textures/apath0/orangesurface
{
        qer_editorimage textures/apath0/orange.tga
	cull disable
	surfaceparm slick
	{
		map textures/apath0/orange.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}



}


//===DECALS===

textures/apath0/null-decal
{
	qer_editorimage textures/apath0/null.tga
	polygonOffset
	qer_trans 0.90
	{
		map textures/apath0/null.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/1337-decal
{
	qer_editorimage textures/apath0/shortcut.tga
	polygonOffset
	qer_trans 0.90
	{
		map textures/apath0/shortcut.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/n1-decal
{
	qer_editorimage textures/apath0/n1.tga
	polygonOffset
	qer_trans 0.90
	{
		map textures/apath0/n1.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/arrow-decal
{
	qer_editorimage textures/apath0/arrow.tga
	polygonOffset
	{
		map textures/apath0/arrow.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//===TRANSPARENT STUFF===

//hell is the others
textures/apath0/hell
{
	qer_editorimage textures/apath0/sartre.tga
	cull disable
	{
		map textures/apath0/sartre.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//banksy - the rat
textures/apath0/banksy01
{
	qer_editorimage textures/apath0/banksy.tga
	qer_trans 0.50
	cull disable
	{
		map textures/apath0/banksy.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//banksy - shopping christ
textures/apath0/banksy-christ
{
	qer_editorimage textures/apath0/banksy-christ.tga
	qer_trans 0.50
	cull disable
	{
		map textures/apath0/banksy-christ.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//banksy - throwing flowers
textures/apath0/banksy-flowers
{
	qer_editorimage textures/apath0/banksy-flowers.tga
	qer_trans 0.50
	cull disable
	{
		map textures/apath0/banksy-flowers.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//names for ag-room
textures/apath0/names
{
	qer_editorimage textures/apath0/names.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/names.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


//the great disappointment
textures/apath0/disappointment
{
	qer_editorimage textures/apath0/disappointment.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/disappointment.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Numbers for teleporters at finish
textures/apath0/alpha01
{
	qer_editorimage textures/apath0/01.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/01.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha02
{
	qer_editorimage textures/apath0/02.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/02.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha03
{
	qer_editorimage textures/apath0/03.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/03.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha04
{
	qer_editorimage textures/apath0/04.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/04.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha05
{
	qer_editorimage textures/apath0/05.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/05.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha06
{
	qer_editorimage textures/apath0/06.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/06.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha07
{
	qer_editorimage textures/apath0/07.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/07.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha08
{
	qer_editorimage textures/apath0/08.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/08.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha09
{
	qer_editorimage textures/apath0/09.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/09.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha10
{
	qer_editorimage textures/apath0/10.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/10.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha11
{
	qer_editorimage textures/apath0/11.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/11.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha12
{
	qer_editorimage textures/apath0/12.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/12.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha13
{
	qer_editorimage textures/apath0/13.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/13.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha14
{
	qer_editorimage textures/apath0/14.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/14.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha15
{
	qer_editorimage textures/apath0/15.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/15.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha16
{
	qer_editorimage textures/apath0/16.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/16.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha17
{
	qer_editorimage textures/apath0/17.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/17.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha18
{
	qer_editorimage textures/apath0/18.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/18.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha19
{
	qer_editorimage textures/apath0/19.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/19.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha20
{
	qer_editorimage textures/apath0/20.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/20.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha21
{
	qer_editorimage textures/apath0/21.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/21.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha22
{
	qer_editorimage textures/apath0/22.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/22.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha23
{
	qer_editorimage textures/apath0/23.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/23.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha24
{
	qer_editorimage textures/apath0/24.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/24.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha25
{
	qer_editorimage textures/apath0/25.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/25.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha26
{
	qer_editorimage textures/apath0/26.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/26.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha27
{
	qer_editorimage textures/apath0/27.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/27.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha28
{
	qer_editorimage textures/apath0/28.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/28.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha29
{
	qer_editorimage textures/apath0/29.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/29.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/alpha30
{
	qer_editorimage textures/apath0/30.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/30.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//===PHONG SHADING===

textures/apath0/metalrail_phong
{
        surfaceparm slick
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 91
	qer_editorimage textures/apath0/metalrail_phong.tga
	{
		map textures/apath0/metalrail.tga
		rgbGen identity
	}

        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/apath0/riverbed_phong
{
	q3map_nonplanar
	q3map_shadeangle 105
	qer_editorimage textures/apath0/riverbed_phong.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/apath0/riverbed.tga
		blendFunc filter
	}
}




//===OTHER PEOPLE'S WORK===

//NulL's Neon-lights from mandolin
textures/null_beach/cei_strip_light
{
	qer_editorimage textures/null_beach/e6v_light.tga
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 3000
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/null_beach/e6v_light.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/null_beach/e6v_light_blend.tga
		blendfunc add
		//blendfunc gl_src_color gl_one
	}
}

textures/null_beach/cei_strip_light_br
{
	qer_editorimage textures/null_beach/e6v_light.tga
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 6000
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/null_beach/e6v_light.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/null_beach/e6v_light_blend.tga
		blendfunc add
		//blendfunc gl_src_color gl_one
	}
}

//NulL's terrain from mando
textures/null_beach/cracked_ground_phong
{
	qer_editorimage textures/null_beach/sn_dirt2.tga
	
	q3map_nonplanar
	q3map_shadeangle 140
	//q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )

	{
		map textures/null_beach/sn_dirt2.tga
		rgbgen identity
		//tcgen vector ( 0.0078125 0 0 ) ( 0 0.0078125 0 )
	}
	{
		map $lightmap
		blendfunc filter
	}
}

//NulL's glossy windows from mando
textures/null_beach/sn_window8int_light
{
	qer_editorimage textures/null_beach/sn_window8int_st.tga
	q3map_surfacelight 1800
	{
		map textures/null_beach/sn_window8int_st.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

//Different glossy window, also by NulL
textures/null_beach/bay_windows
{
	qer_editorimage textures/null_beach/08panwindow.tga
	q3map_surfacelight 1200
	{
		// Change fx texture
		map textures/null_beach/tinfxb.tga
		rgbgen identity
		tcgen environment
	}
	{
		map textures/null_beach/08panwindow.tga
		alphafunc ge128
		rgbgen identity
	}
	{
		map $lightmap	
		blendfunc filter
		rgbgen identity
	}
}

//Water
textures/urban_terror2/water1
	{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

	}


//Fountain from prague
textures/apath0/rainshader
{
	qer_editorimage textures/apath0/rain.tga
        surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/apath0/rain.tga
                tcMod Scroll .3 -2      //rain used to be going backwards (!!!)
                blendFunc GL_ONE GL_ONE
        }
}

textures/urban_terror2/glass
{
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

//Slicey's Water-shader from vertigo
textures/arevass/water
{
	qer_editorimage	textures/arevass/water
	sort banner
	qer_trans	0.8
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	water
	surfaceparm	trans
	q3map_material	Water
	tessSize	128
	deformvertexes normal 0.1 1.85
	deformvertexes wave 128 sin 0 1 0.3 2
    {
        map textures/arevass/water.jpg
	blendFunc GL_ONE GL_SRC_ALPHA
	rgbGen const ( 0.4 0.4 0.4 )
        alphaFunc GE128
	alphaGen const 1.0
	tcmod scroll 0 -0.25
    }
    {
	map textures/arevass/cubemap.jpg
	tcGen environment
	rgbGen const ( 0.4 0.3 0.3 )
	blendFunc GL_ONE GL_ONE
    }
    {
	map textures/arevass/cubemap.jpg
	tcGen environment
	blendFunc GL_DST_COLOR GL_ZERO
    }
    {
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
    }
}

//Tub's skybox for turnpike
textures/ut_turnpike/willsky
{
	qer_editorimage textures/austria/AustriaSkyImage.jpg

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .94 .91 .95 400 180 60
	q3map_surfacelight 300
	q3map_lightsubdivide 512
        skyparms env/turnpike/tp_sky2 - -
	
}

// Stratosphere Skybox (from freakjumps)
textures/ut4_freakjumps/strato_skybox
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
	q3map_sun 0.941 0.984 1.00 150 270 45
	skyparms env/stratosphere/stratosphere - -
}


//Skybox from eagle
textures/eaglesky/sky1
{
	qer_editorimage textures/eagle/sky1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
//BELOW - TEXTURE BRIGHT CORRECTED - SUN CORRECT
	q3map_sun .5 .37 .19 60 225 55
	//altered x 2.5 for r_overbrightbits 0 and r_mapoverbrightbits 0
	q3map_surfacelight 300
	//q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
      skyparms env/sw_txts/eagle 128 -
}

//Mandolin's Skybox, by NulL
//Base slterra sky (ydnar)
textures/null_beach/sky
{
	qer_editorimage textures/null_beach/sky_arc_masked.tga

	q3map_lightimage textures/common/Orange_250_160_100_m20.tga
	
	q3map_lightsubdivide 768
	q3map_backsplash 0 0

	q3map_sunEXT 1 1 1 85 185 50 2 16 
				//was 75 intensity changed to 85 5/2/06
				//q3map_sunEXT 1 0.92 0.97 90 180 50 2 16
				//q3map_skylight 125 5
	q3map_skylight 160 5
				// SKYLIGHT WAS 150 PRE 19FEB	
	q3map_noFog
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	
	skyparms textures/null_beach/env/sky 512 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/null_beach/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		clampmap textures/null_beach/sky_arc_masked.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956	// note for RTCW, this line should be commented out if the sky is knackered
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}


//teleporter
textures/ctf/red_telep
{ 
        cull disable	
        surfaceparm nomarks
        surfaceparm trans

        {
	        
	        clampmap textures/ctf/red_telep.tga
		blendFunc add
                //tcMod stretch sin .9 0.1 0 .5
                tcmod rotate 327
                rgbGen identity
	}
        {
	        clampmap textures/ctf/red_telep2.tga
		blendFunc add
                //tcMod stretch sin .9 0.1 0 .1
                tcmod rotate -211
                rgbGen identity
        }
        {
	        clampmap textures/ctf/telep.tga
		alphaFunc GE128
                tcmod rotate 20
	        rgbGen identity
	}
        {
	        clampmap textures/ctf/telep.tga
		alphaFunc GE128
                tcMod stretch sin .7 0 0 0
                tcmod rotate -20
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sfx/constfog
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	surfaceparm nodrop
	q3map_surfacelight 100
	fogparms ( .8 .8 .8 ) 100
}

// Models and Textures by LT1/BlackRayne
// shader by Tub

models/mapobjects/br_trees/bark
{
nopicmip

	{
		map models/mapobjects/br_trees/bark.jpg
		rgbGen vertex
	}
}

models/mapobjects/br_trees/tree5
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	{
		map models/mapobjects/br_trees/tree5.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/br_trees/tree7
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	{
		map models/mapobjects/br_trees/tree7.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/br_trees/tree8
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	{
		map models/mapobjects/br_trees/tree8.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}